<?php
// +-----------------------------------------------------------------------+
// | PiwiShack - a Piwigo Plugin                                           |
// | Copyright (C) 2009 MOREAU Julien - gotcha@piwigo.org                  |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

//----------------------------------------------------------- include
define('PHPWG_ROOT_PATH','../../');
include_once(PHPWG_ROOT_PATH.'include/common.inc.php');

// +-----------------------------------------------------------------------+
// | Check Access and exit when user status is not ok                      |
// +-----------------------------------------------------------------------+
check_status(ACCESS_ADMINISTRATOR);

$piwishack = get_plugin_data('piwishack');

if 
  (
    !is_admin() or
    empty($piwishack) or
    !isset($piwishack->opened) or !$piwishack->opened
  )
{
  echo '
<script type="text/javascript">
  window.close();
</script>';
  exit();
}

// +-----------------------------------------------------------------------+
// | template initialization                                               |
// +-----------------------------------------------------------------------+
$title = 'PiwiShack';
$page['body_id'] = 'thePiwiShackControllerPage';
include(PHPWG_ROOT_PATH.'include/page_header.php');
load_language('plugin.lang', piwishack_PATH);
$template->assign(
  array(
    'PLUGIN_NAME' => $piwishack->plugin_name
    ));

$template->set_filename('controller', $piwishack->plugin_path.'template/controller.tpl');

// +-----------------------------------------------------------------------+
// | html code display                                                     |
// +-----------------------------------------------------------------------+
$template->parse('controller');
include(PHPWG_ROOT_PATH.'include/page_tail.php');

?>